Package org.python.core

# Interface TraverseprocDerived

All Known Implementing Classes:
  `chainDerived`, `ClasspathPyImporterDerived`, `combinationsDerived`, `combinationsWithReplacementDerived`, `compressDerived`, `countDerived`, `cycleDerived`, `dropwhileDerived`, `EncoderDerived`, `groupbyDerived`, `ifilterDerived`, `ifilterfalseDerived`, `imapDerived`, `isliceDerived`, `izipDerived`, `izipLongestDerived`, `permutationsDerived`, `productDerived`, `PyArrayDerived`, `PyBaseExceptionDerived`, `PyByteArrayDerived`, `PyBZ2CompressorDerived`, `PyBZ2DecompressorDerived`, `PyBZ2FileDerived`, `PyClassMethodDerived`, `PyComplexDerived`, `PyDefaultDictDerived`, `PyDequeDerived`, `PyDialectDerived`, `PyDictionaryDerived`, `PyEnumerateDerived`, `PyFileDerived`, `PyFileIODerived`, `PyFloatDerived`, `PyFrozenSetDerived`, `PyIntegerDerived`, `PyIOBaseDerived`, `PyListDerived`, `PyLocalDerived`, `PyLongDerived`, `PyModuleDerived`, `PyObjectDerived`, `PyPartialDerived`, `PyPropertyDerived`, `PyRandomDerived`, `PyRawIOBaseDerived`, `PySetDerived`, `PyShadowStringDerived`, `PyStringDerived`, `PyStructDerived`, `PySuperDerived`, `PyTeeIteratorDerived`, `PyTupleDerived`, `PyTypeDerived`, `PyUnicodeDerived`, `ReferenceTypeDerived`, `repeatDerived`, `ScannerDerived`, `starmapDerived`, `takewhileDerived`, `zipimporterDerived`

public interface TraverseprocDerived
This is used like `Traverseproc`, but traverses only the `slots[]`-array of `fooDerived`-classes. This way we avoid that the traverse method of a traversable `PyObject` is overridden by the derived version. `gc.traverse(PyObject, Visitproc, Object)` takes care of exploiting both traverse methods.

## Method Summary

Modifier and Type
Method
Description
`int`
`traverseDerived(Visitproc visit, Object arg)`
Traverses all reachable `PyObject`s.

## Method Details

### traverseDerived

int traverseDerived(Visitproc visit, Object arg)
Traverses all reachable `PyObject`s. Like in CPython, `arg` must be passed unmodified to `visit` as its second parameter.